Bug 1187338 - [RFE] Patch management functionality of satellite missing patch management functionality
Summary: [RFE] Patch management functionality of satellite missing patch management fu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Errata Management
Version: 6.0.7
Hardware: All
OS: Linux
unspecified
high
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks: 1130651
TreeView+ depends on / blocked
 
Reported: 2015-01-29 19:26 UTC by tbrodbec
Modified: 2020-12-11 11:47 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:29:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description tbrodbec 2015-01-29 19:26:09 UTC
Description of problem: The WebUI does not provide list of available package updates or accurate list of applicable errata.


Version-Release number of selected component (if applicable):6.x


How reproducible:Consistent


Steps to Reproduce:
1.log into WebUI
2.select hosts->content hosts
3.select errata or packages

Actual results: incomplete list of applicable errata/NO list of applicable package updates (not even total number)


Expected results: All applicable errata should be displayed/Complete list of applicable package updates is displayed, and accurate number of packages shown


Additional info:
This is a huge gap in functionality between Satellite 5 and Satellite 6.

Comment 1 RHEL Program Management 2015-01-29 19:54:52 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Justin Sherrill 2015-02-23 20:07:08 UTC
So this bz covers two aspects:

1) your applicable errata list is empty (this seems as though something is misconfigured), please contact support or someone on irc to resolve this.  

It could be:
* that katello-agent is not installed on the client
* the wrong version is installed
* goferd is not running on the client
* the system is not subscribed to the correct product
* the system has an incorrect release version set

Any of those issues could cause this behavior.

2) An RFE for package applicability management on the scale of sat5.  This is a large feature and likely cannot make 6.1

I propose we move this to sat 6.2

Comment 5 Stupar Stipe 2015-03-13 10:02:08 UTC
(In reply to Justin Sherrill from comment #4)
> So this bz covers two aspects:
> 
> 1) your applicable errata list is empty (this seems as though something is
> misconfigured), please contact support or someone on irc to resolve this.  
> 
> It could be:
> * that katello-agent is not installed on the client
> * the wrong version is installed
> * goferd is not running on the client
> * the system is not subscribed to the correct product
> * the system has an incorrect release version set
> 
> Any of those issues could cause this behavior.
> 
> 2) An RFE for package applicability management on the scale of sat5.  This
> is a large feature and likely cannot make 6.1
> 
> I propose we move this to sat 6.2

Just to let you know:
we have a RHEL6.4 client host which has katello-agent-1.5.3-7.el6sat.noarch installed. 
goferd is running. 
The system show us on satellite under "Content Hosts" => Host Details as Installed Product "Red Hat Enterprise Linux Server 6.6" (Which should be RHEL6.4 because we run the 2.6.32-358.18.1.el6.x86_64 kernel).
On satellite we have set the Release Version of the hosts to "6Server",
because we want to get all updates but exclude only kernel* and redhat-release* in the given Content View.

FYI

Comment 12 Brad Buckingham 2017-04-24 12:27:29 UTC
Hi Justin,

Is point 2) from comment 4 addressed by your upstream changes to support package applicability?  

If so, should we move this to ON_QA for 6.3?

Regarding point 1), it is unclear if there was any progress on it; however, the case has since been closed and we have no other reports that I am aware of from other users.

Comment 13 Justin Sherrill 2017-04-24 12:47:46 UTC
Brad,

Based on the original description, yes I would say this is resolved upstream and thus will make 6.3.  I would move to on_qa for 6.3

Comment 14 Brad Buckingham 2017-04-24 13:12:52 UTC
Thanks Justin!

Comment 15 Lukáš Hellebrandt 2017-09-26 13:31:31 UTC
As there is no upstream tracker assigned and no comment regarding exact expected functionality present, I am treating this BZ as "Sat6 should be able to show upgradable packages of a host and remotely upgrade the chosen packages" as it seems most related to the OP.

Comment 16 Lukáš Hellebrandt 2017-09-26 15:58:55 UTC
Verified with Sat6.3, snap 17.

Compared to Sat5, I actually miss some functionality; examples I can think of now:
1) Install the latest package version. You have to choose exact version. Workaround: check all versions and the newesst one will be installed. Related: The number of updates shown includes all possible versions of the package higher than the installed one.
2) Determine which repo the upgrades come from.
3) Other patch management functionality not related to upgrading, like ability to choose a package to be installed from a list.

However, the basic package upgrade management functionality, i.e. listing upgrades and remote upgrading, works. See Content Hosts -> <content_host> -> Packages -> Applicable.

Comment 19 errata-xmlrpc 2018-02-21 12:29:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.